function [input1,input2,output,colummpeeling,xor]=prechodSietou(input1,input2)

input1;
input2;
alfa=0.5;

[F,S,T]=siet(2,2,2)
%F=[0.2,0.3;-1,0.7];   %vahy vstupujuce do prvej vrstvy
%S=[0.6,-0.2;0.9,0.8];   %vahy vstupujuce do druhej vrstvy 
%T=[0.25;0.41];  %vahy vstupujuce do tretej vrstvy

colummpeeling=[F(:,1)',F(:,2)',alfa,alfa,S(:,1)',S(:,2)',alfa,alfa,T']

V=[input1,input2];  %matica vstupov

VF=V*F; %vstup do prvej vrstvy siete
vf1=VF(1);  %prva zlozka vstupu
vf2=VF(2);  %druha zlozka vstupu

if vf1 > 0.5    %ak je prva zlozka vstupu vacsia ako hranicna hodnota
    u1=1;       %vystup z neuronu je 1, inak je nulovy vystup
else
    u1=0;
end

if vf2 > 0.5    %ak je druha zlozka vstupu vacsia ako hranicna hodnota
    u2=1;       %vystup z neuronu je 1, inak je nulovy vystup
else
    u2=0;
end

U=[u1,u2];  %vystupny vektor prvej vstvy 
%----------------------------------------------------------------------

US=U*S; %vstup do druhej vrstvy siete

if US(1) > 0.5    %ak je prva zlozka vstupu vacsia ako hranicna hodnota
    z1=1;       %vystup z neuronu je 1, inak je nulovy vystup
else
    z1=0;
end

if US(2) > 0.5    %ak je druha zlozka vstupu vacsia ako hranicna hodnota
    z2=1;      %vystup z neuronu je 1, inak je nulovy vystup
else
    z2=0;
end
    
Z=[z1,z2];  %vystupny vektor druhej vstvy
%----------------------------------------------------------------------

ZT=Z*T; %vstup do tretej vrstvy siete

if ZT > 0    %ak je prva zlozka vstupu vacsia ako hranicna hodnota
    v=1;      %vystup z neuronu je 1, inak je nulovy vystup
else
    v=0;
end
    
output=v;  %vystup zo siete

xor=[input1,input2,output];